-- Daily Global Check
-- by Jadya
-- EU-Well of Eternity

local addonName, addonTable = ...

local L = addonTable.L
local C = addonTable.C
local ng = NyxGUI(C.NyxGUIVersion)

local constructors = DailyGlobalCheck.Constructors
local lists = DailyGlobalCheck.ListFunctions
local tools = DailyGlobalCheck.Tools
local modes = DailyGlobalCheck.ModeFunctions

local editing

local function btnok_click()
 modes:Set(C.MODE_EDIT)
end

local function btncancel_click()
 modes:Set(C.MODE_EDIT)
end

function tools.setup_edit_quest_panel(p)

 -- questID group
 local g1 = ng:New(addonName, "Groupbox", nil, p)
 g1:SetSize(200, 150)
 g1:SetPoint("TOPLEFT")

 local function createTab(t, text)
  local result = ng:New(addonName, "Tabbutton", "DGC_EQTabbutton_"..t, g1)
  result:SetWidth(25)
  result:SetText(text)
  return result.tab
 end

 -- quest
 local tab = createTab("quest", "Q")
 local f = ng:New(addonName, "Editbox", "DGC_EQQ_questID", tab)
 f:SetPoint("TOPLEFT", tab, "TOPLEFT", 2, -20)
 f.title:SetText("QuestID")
 --

 -- instance
 tab = createTab("instance", "I")

 createTab("boss", "Ib")
 createTab("achievement", "A")
 createTab("achicriteria", "Ac")
 createTab("currency", "C")

 -- ok button
 f = ng:New(addonName, "Button", nil, p)
 f:SetPoint("BOTTOM", p, "BOTTOM", -50, 5)
 f:SetText(OKAY)
 f:SetScript("OnClick", btnok_click)
 
  -- ok button
 f = ng:New(addonName, "Button", nil, p)
 f:SetPoint("BOTTOM", p, "BOTTOM", 50, 5)
 f:SetText(CANCEL)
 f:SetScript("OnClick", btncancel_click)
 
 
 DGC_EQTabbutton_quest:Click("LeftButton")
end

function tools:EditQuest(data)

 if not data then return end

 editing = data
 modes:Set(C.MODE_EDIT_QUEST)
end